import { Signal } from '@lumino/signaling';
import { ILanguageServerManager, TLanguageServerConfigurations, TLanguageServerId, TSessionMap } from './tokens';
export declare class LanguageServerManager implements ILanguageServerManager {
    protected _sessionsChanged: Signal<ILanguageServerManager, void>;
    protected _sessions: TSessionMap;
    private _settings;
    private _baseUrl;
    private _statusCode;
    private _retries;
    private _retriesInterval;
    private _configuration;
    private _warningsEmitted;
    private console;
    constructor(options: ILanguageServerManager.IOptions);
    get statusUrl(): string;
    get sessionsChanged(): Signal<ILanguageServerManager, void>;
    get sessions(): TSessionMap;
    setConfiguration(configuration: TLanguageServerConfigurations): void;
    protected warnOnce(arg: string): void;
    protected _comparePriorities(a: TLanguageServerId, b: TLanguageServerId): number;
    getMatchingServers(options: ILanguageServerManager.IGetServerIdOptions): TLanguageServerId[];
    get statusCode(): number;
    fetchSessions(): Promise<void>;
}
